package cz.frantovo.nekurak.servlet;

import java.io.IOException;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author fiki
 */
public class Odhlaseni extends SuperServlet {

	private static final Logger log = Logger.getLogger(Odhlaseni.class.getSimpleName());

	@Override
	protected void doGet(HttpServletRequest požadavek, HttpServletResponse odpověď) throws ServletException, IOException {
		try {
			String uživatel = požadavek.getUserPrincipal().getName();
			Date začátekRelace = new Date(požadavek.getSession().getCreationTime());
			log.log(Level.INFO, "Uživatel {0}, jehož relace začala {1}, se právě odhlásil.", new Object[]{uživatel, začátekRelace});
		} catch (Exception e) {
			log.log(Level.WARNING, "Odhlašování uživatele selhalo – pravděpodobně byl už odhlášen.", e);
		}

		požadavek.logout();


		super.doGet(požadavek, odpověď);
		zpracujJSP("odhlášení-dokončeno.jsp", požadavek, odpověď);
	}
}
